<div id="id01" class="modal">
  <form class="modal__content">
    <h1>Sign Up</h1>
    <p>
      Already have an account?
      <span id="spanLogin" onclick="login()">Login here</span>
    </p>
    <p id="id01Message" class="errorContainer"></p>
    <div class="modal__container">
      <label for="name"><b>Name</b></label>
      <input
        type="text"
        placeholder="Enter Name"
        name="name"
        id="id01Name"
        required
      />

      <label for="username"><b>Username</b></label>
      <input
        type="text"
        placeholder="Enter Username"
        name="username"
        id="id01Username"
        required
      />

      <label for="email"><b>Email</b></label>
      <input
        type="text"
        placeholder="Enter Email"
        name="email"
        id="id01Email"
        required
      />

      <label for="psw"><b>Password</b></label>
      <input
        type="password"
        placeholder="Enter Password"
        name="psw"
        id="id01Password"
        required
      />

      <label for="psw-repeat"><b>Repeat Password</b></label>
      <input
        type="password"
        placeholder="Repeat Password"
        name="psw-repeat"
        id="id01PasswordRepeat"
        required
      />
    </div>
    <button onclick="register()" class="submitBtn" id="id01Submit">
      Sign Up
    </button>
    <p class="term">
      By creating an account you agree to our
      <a href="#" style="color: dodgerblue">Terms & Privacy</a>.
    </p>
  </form>
</div>

<div id="id02" class="modal">
  <div class="modal__content">
    <h1>Login</h1>
    <p>
      Don't have an account?
      <span id="spanSignup" onclick="signup()">Sign up</span>
    </p>
    <p id="id02Message" class="errorContainer"></p>
    <div class="modal__container">
      <label for="username"><b>Username</b></label>
      <input
        type="text"
        placeholder="Enter Username"
        name="email"
        id="id02Username"
        required
      />

      <label for="psw"><b>Password</b></label>
      <input
        type="password"
        placeholder="Enter Password"
        name="psw"
        id="id02Password"
        required
      />
    </div>
    <label class="modal__checkmark"
      >remember me?
      <input type="checkbox" checked="checked" />
      <span class="checkmark"></span>
    </label>

    <button onclick="loginFetch()" class="submitBtn" id="id02Submit">
      Login
    </button>
  </div>
</div>

<div id="id03" class="modal">
  <div class="modal__content">
    <h1>Join Room</h1>
    <p id="id03Message" class="errorContainer"></p>

    <!-- <p>Don't have an account? <span id="spanSignup" onclick="signup()">Sign up</span></p> -->
    <form class="modal__container">
      <label for="roomId"><b>Room ID</b></label>
      <input
        id="id03RoomId"
        type="text"
        placeholder="Enter room ID"
        name="roomId"
        required
      />
    </form>
    <button onclick="joinRooms()" class="submitBtn">Join Game</button>
  </div>
</div>

<div id="id04" class="modal">
  <form class="modal__content">
    <h1>Congratulation!</h1>
    <p>your account already created</p>
    <a class="submitBtn" href="/game"> Play Game</a>
  </form>
</div>

<div id="id05" class="modal">
  <form class="modal__content">
    <h1>Congratulation!</h1>
    <p>your account already created</p>
    <div class="game__container--button">
      <a
        class="btn"
        onclick="document.getElementById('id03').style.display='flex'"
        >Join Room</a
      >
      <a onclick="createRoom()" class="btn" href="#">Create Room</a>
    </div>
  </form>
</div>
